# IV01 - List accounting documents

Call Frequency

Recommended usage: Once per day and as many times as there are invoice pages returned
Maximum usage: Once per day and as many times as there are invoice pages returned
Pagination

This resource supports offset pagination (see documentation)

Sort fields

sort field can have the following values:dateCreated (Default) - Sort by creation date (asc by default)

Endpoint: GET /api/invoices

## Query parameters:

  - `currency` (string)
    Currency code for filtering
    Enum: "AED", "ARS", "AUD", "BAM", "BGN", "BHD", "BRL", "CAD", "CHF", "CLP", "CNY", "COP", "CZK", "DKK", "EGP", "EUR", "GBP", "GEL", "GTQ", "HKD", "HRK", "HUF", "IDR", "ILS", "INR", "IQD", "JOD", "JPY", "KES", "KRW", "KWD", "LKR", "MAD", "MGA", "MXN", "MYR", "NGN", "NOK", "NZD", "OMR", "PEN", "PHP", "PKR", "PLN", "QAR", "RON", "RSD", "RUB", "SAR", "SEK", "SGD", "TND", "TRY", "THB", "TWD", "UAH", "USD", "UYU", "UZS", "VND", "ZAR"

  - `end_date` (string)
    Creation date for filtering

  - `issuing_user_types` (array)
    A comma separated list of issuing user type for filtering. By default all types are returned
    Enum: "OPERATOR", "BATCH", "PARTNER"

  - `pay_out_psp_codes` (array)
    A comma-separated list of pay-out PSP codes for filtering. This parameter requires the Hybrid pay-out PSP feature to be enabled.
    Enum: "NOT_SPECIFIED", "MANGOPAY", "MIRAKL_PAYOUT", "OPERATOR"

  - `payment_status` (string)
    Accounting document payment state
    Enum: "PENDING", "PAID", "FAILED"

  - `payment_voucher_number` (string)
    Payment voucher for filtering

  - `shop` (integer)
    Shop identifier for filtering

  - `shop_model` (array)
    A comma separated list of shop model for filtering
    Enum: "MARKETPLACE", "DROPSHIP", "ONE_CREDITOR"

  - `shop_operator_internal_id` (string)
    Operator internal id of the shop for filtering

  - `start_date` (string)
    Creation date for filtering

  - `states` (array)
    A comma separated list of state of the accounting document for filtering
    Enum: "DRAFT", "GENERATED", "COMPLETE"

  - `type` (string)
    Accounting document type for filtering. By default only invoices by the shop payment process are returned.
    Enum: "ALL", "AUTO_INVOICE", "MANUAL_INVOICE", "MANUAL_CREDIT"

## Response 200 fields (application/json):

  - `invoices` (array)
    Accounting documents

  - `invoices.currency_iso_code` (string)
    The currency of the shop
    Enum: "AED", "ARS", "AUD", "BAM", "BGN", "BHD", "BRL", "CAD", "CHF", "CLP", "CNY", "COP", "CZK", "DKK", "EGP", "EUR", "GBP", "GEL", "GTQ", "HKD", "HRK", "HUF", "IDR", "ILS", "INR", "IQD", "JOD", "JPY", "KES", "KRW", "KWD", "LKR", "MAD", "MGA", "MXN", "MYR", "NGN", "NOK", "NZD", "OMR", "PEN", "PHP", "PKR", "PLN", "QAR", "RON", "RSD", "RUB", "SAR", "SEK", "SGD", "TND", "TRY", "THB", "TWD", "UAH", "USD", "UYU", "UZS", "VND", "ZAR"

  - `invoices.date_created` (string)
    Accounting document creation date

  - `invoices.details` (array)
    Accounting details

  - `invoices.details.amount_excl_taxes` (number)
    Amount excluding taxes

  - `invoices.details.description` (string)
    Description

  - `invoices.details.operation_date` (string)
    Operation date for MANUAL_INVOICE or MANUAL_CREDIT type

  - `invoices.details.order_id` (string)
    Associated order id. Only for MANUAL_INVOICE or MANUAL_CREDIT type

  - `invoices.details.quantity` (integer)
    Quantity

  - `invoices.details.taxes` (array)
    Taxes

  - `invoices.details.taxes.amount` (number)
    Tax amount

  - `invoices.details.taxes.code` (string)
    Tax code

  - `invoices.due_date` (string)
    Due date for the payment of the accounting document

  - `invoices.id` (string)
    Accounting document identifier (use it for draft document)

  - `invoices.invoice_id` (integer)
    Accounting document identifier (present if the accounting document is issued)

  - `invoices.issue_date` (string)
    Issue date of an accounting document

  - `invoices.issuing_user` (object)
    Accounting document issuing user

  - `invoices.issuing_user.information` (string)
    User name if user type is OPERATOR or PARTNER, "Automatic action" if user type is BATCH

  - `invoices.issuing_user.type` (string)
    User type (OPERATOR, BATCH or PARTNER)
    Enum: "OPERATOR", "BATCH", "PARTNER"

  - `invoices.pay_out_psp_code` (string)
    PSP code for Pay-out
    Enum: "NOT_SPECIFIED", "MANGOPAY", "MIRAKL_PAYOUT", "OPERATOR"

  - `invoices.payment` (object)
    Accounting document payment details

  - `invoices.payment.failure_reason` (string)
    Failure reason
    Enum: "INCOMPLETE_KYC", "AWAITING_INVOICE_CHECK"

  - `invoices.payment.reference` (string)
    Transaction reference

  - `invoices.payment.state` (string)
    Payment status
    Enum: "PENDING", "PAID", "FAILED"

  - `invoices.payment.transaction_date` (string)
    Transaction date

  - `invoices.payment_voucher_number` (string)
    The payment voucher number

  - `invoices.shop_address` (object)
    Shop address

  - `invoices.shop_address.city` (string)
    Shop contact address city

  - `invoices.shop_address.civility` (string)
    Shop contact civility

  - `invoices.shop_address.country` (string)
    Shop contact country (Formatted in ISO 3166-1). Used by Mirakl to format the address (back office, delivery bill, invoices...) and to adapt the address validation to the country (see zip_code field)

  - `invoices.shop_address.firstname` (string)
    Shop contact first name

  - `invoices.shop_address.lastname` (string)
    Shop contact last name

  - `invoices.shop_address.phone` (string)
    Shop contact phone number

  - `invoices.shop_address.phone_secondary` (string)
    Shop contact secondary phone number

  - `invoices.shop_address.state` (string)
    Shop contact address state

  - `invoices.shop_address.street1` (string)
    Shop contact address first line

  - `invoices.shop_address.street2` (string)
    Shop contact address second line

  - `invoices.shop_address.zip_code` (string)
    Shop contact address zip code. Mandatory (unless the country_iso_code corresponds to Chile or Peru)

  - `invoices.shop_address.company` (string)
    Shop contact company name

  - `invoices.shop_address.complementary` (string)
    Shop contact complementary address field

  - `invoices.shop_corporate_name` (string)
    Shop corporate name if it is a professional shop

  - `invoices.shop_id` (integer)
    Shop id

  - `invoices.shop_model` (string)
    Shop model
    Enum: "MARKETPLACE", "DROPSHIP", "ONE_CREDITOR"

  - `invoices.shop_name` (string)
    Shop name

  - `invoices.shop_operator_internal_id` (string)
    Operator internal id for the shop

  - `invoices.shop_tax_number` (string)
    Shop tax number if it is a professional shop

  - `invoices.state` (string)
    Accounting document state

  - `invoices.total_amount_excl_taxes` (number)
    Total amount charged to the shop (excluding taxes)

  - `invoices.total_amount_incl_taxes` (number)
    Total amount charged to the shop (including taxes)

  - `invoices.total_taxes` (array)
    Total taxes

  - `invoices.total_taxes.amount` (number)
    Tax amount

  - `invoices.total_taxes.code` (string)
    Tax code

  - `invoices.type` (string)
    Accounting document type
    Enum: "ALL", "AUTO_INVOICE", "MANUAL_INVOICE", "MANUAL_CREDIT"

  - `invoices.total_charged_amount` (number)
    Use “total_amount_incl_taxes” attribute instead

  - `total_count` (integer)
    Accounting documents total count


